div[id^="tests-snack-bar-"] {
  .cached-icon {
    animation-name: rotating-cached-icon;
    animation-duration: 1s;
    animation-iteration-count: infinite;
  }

  .infinite-rotation {
    animation-name: infinite-rotation;
    animation-duration: 0.9s;
    animation-iteration-count: infinite;
  }

  @keyframes infinite-rotation {
    0% {
      transform: rotate(0);
    }
    12.5% {
      transform: rotate(-45deg);
    }
    25% {
      transform: rotate(-90deg);
    }
    37.5% {
      transform: rotate(-135deg);
    }
    50% {
      transform: rotate(-180deg);
    }
    62.5% {
      transform: rotate(-225deg);
    }
    75% {
      transform: rotate(-270deg);
    }
    87.5% {
      transform: rotate(-315deg);
    }
    100% {
      transform: rotate(-360deg);
    }
  }
}
